#!/bin/sh

if test "$1" = "pub"; then
        cp configure.pc configure
        chmod +x configure
        rm config.cache;
	CFLAGS="-g -DX11 -DNANOGTK -DMW089P8 -DLINE_ATTRIB_SUPPORT" \
        ./configure --disable-shm --disable-xim --with-xinput=no \
        --enable-build-min-widget=yes \
        --disable-glibtest --disable-xim-inst \
        --with-glib-prefix=`pwd`/../glib-1.2.7 \
        --with-glib=`pwd`/../glib-1.2.7 \
	--sysconfdir=`pwd`/etc \
        --prefix=`pwd`;
elif test "$1" = "x86"; then
        cp configure.pc configure
        chmod +x configure
        rm config.cache;
        CFLAGS="-g -DX11 -DNANOGTK -DLINE_ATTRIB_SUPPORT"\
        ./configure --disable-shm --disable-xim --with-xinput=no \
        --enable-build-min-widget=yes \
        --disable-glibtest --disable-xim-inst \
        --with-glib-prefix=`pwd`/../glib-1.2.7 \
        --with-glib=`pwd`/../glib-1.2.7 \
	--sysconfdir=`pwd`/etc \
        --prefix=`pwd`;
else
        echo " x86 [debug] - to make PC nano-X version"
        echo " pub [debug] - to make PC nano-X version (public)"
        exit
fi

make clean;
make;

# post build action
case $1 in
    pub | x86)
               pushd gtk
               rm -rf .libs-x86
               cp -af .libs .libs-x86
               popd
               pushd gdk
               rm -rf .libs-x86
               cp -af .libs .libs-x86
               popd
               ;;
    fixx86)
               pushd gtk
               rm -rf .libs-x86
               cp -af .libs .libs-x86
               popd
               pushd gdk
               rm -rf .libs-x86
               cp -af .libs .libs-x86
               popd
               ;;
esac

make install

