#ifndef _nanogtkH_h
#define _nanogtkH_h
#ifndef NANOGTK_internal

#include "nano-X.h"

#define GrNewWindow GrNewWindow_oldAPI
#define GrMoveWindow GrMoveWindow_oldAPI
#define GrSetCursor GrSetCursor_oldAPI
#define GrInjectKeyboardEvent GrInjectKeyboardEvent_oldAPI

GR_WINDOW_ID    GrNewWindow_oldAPI(GR_WINDOW_ID parent, GR_COORD x, GR_COORD y,
                        GR_SIZE width, GR_SIZE height, GR_SIZE bordersize,
                        GR_COLOR background, GR_COLOR bordercolor);
void            GrMoveWindow_oldAPI(GR_WINDOW_ID wid, GR_COORD x, GR_COORD y);
void            GrSetCursor_oldAPI(GR_WINDOW_ID wid, GR_SIZE width, GR_SIZE height,
                        GR_COORD hotx, GR_COORD hoty, GR_COLOR foreground,
                        GR_COLOR background, GR_BITMAP *fbbitmap,
                        GR_BITMAP *bgbitmap);

void GrInjectKeyboardEvent_oldAPI(GR_WINDOW_ID wid, GR_UNICODE uch,
	GR_CHAR ch, int modifiers, int special, unsigned char content);

#endif // NANOGTK_internal
#endif // _nanogtkH_h

