#!/bin/sh

function remove_glib_hack {
     sed -e '/ifndef.*ALL_GLOG_DISABLED/ d' glib.h |
        sed -e '/define.*ALL_GLOG_DISABLED/ d' |
           sed -e '/endif.*ALL_GLOG_DISABLED/ d' > glib.h.sed
     mv -f glib.h.sed glib.h
}

function glib_hack {
     sed -e '/ifdef.*ALL_GLOG_DISABLED/ i\
#ifndef ALL_GLOG_DISABLED \
#define ALL_GLOG_DISABLED \
#endif /* ALL_GLOG_DISABLED */' glib.h > glib.h.sed
     mv -f glib.h.sed glib.h
}

if test "$1" = "pub" -o "$1" = "x86"; then
        remove_glib_hack
        cp configure.pc configure
	rm config.cache;
	./configure --prefix=`pwd`;
else
	echo "nanox-X X11 public release : ./makeit.sh pub [debug]"
	echo "PC version : ./makeit.sh x86 [debug]"
	exit
fi

make clean
make;
make install;

if [ "$1" = "pub" -o "$1" = "x86" ]; then
    rm -rf .libs-x86 info-x86 lib-x86 man-x86 bin-x86 include-x86 share-x86 tests-x86 gthread-x86 gmodule-x86
    cp -af  .libs .libs-x86
    cp -af  info info-x86
    cp -af  lib lib-x86
    cp -af  man man-x86
    cp -af  bin bin-x86
    cp -af  include include-x86
    cp -af  share share-x86
    cp -af  tests tests-x86
    cp -af  gthread gthread-x86
    cp -af  gmodule gmodule-x86
fi

