#define NANOX_KEY_RETURN 13
#define NANOX_ESC 27
#define NANOX_ESC_FOLLOW 91
#define NANOX_KEY_TAB 9


#ifdef FB
#define NANOX_KEY_BACKSPACE 127
#define NANOX_KEY_DELETE 51
#define NANOX_UP_ARROW 65
#define NANOX_DOWN_ARROW 66
#define NANOX_RIGHT_ARROW 67
#define NANOX_LEFT_ARROW 68
#define NANOX_KEY_HOME 49
#define NANOX_KEY_INSERT 50
#define NANOX_KEY_END 52
#define NANOX_KEY_PAGEUP 53
#define NANOX_KEY_PAGEDOWN 54
#endif

/* Has to set PDA & FB at the same time */
#ifdef CPU72
#define NANOX_KEY_BACKSPACE 8
#define NANOX_KEY_DELETE 127
#endif

#define NANOX_KEY_ESC_END 126

#ifdef X11
#define NANOX_KEY_BACKSPACE 8
#define NANOX_KEY_DELETE 255
#define NANOX_UP_ARROW 82
#define NANOX_DOWN_ARROW 84
#define NANOX_RIGHT_ARROW 83
#define NANOX_LEFT_ARROW 81
#define NANOX_KEY_HOME 80
#define NANOX_KEY_INSERT 99
#define NANOX_KEY_END 87
#define NANOX_KEY_PAGEUP 85
#define NANOX_KEY_PAGEDOWN 86
#endif

#ifdef KEYSYM_FROM_NANOX
/* start from 0 */
static unsigned short fn_keysym[] = {
GDK_VoidSymbol, GDK_F1, GDK_F2,GDK_F3, GDK_F4, GDK_F5,  GDK_F6,GDK_F7,
GDK_F8,GDK_F9, GDK_F10, GDK_F11, GDK_F12};

/* start from ESC = 96 */
static unsigned short special_keysym[] = {
GDK_Escape, GDK_Tab, GDK_Insert, GDK_Delete, GDK_BackSpace,  GDK_Page_Up,
GDK_Page_Down, GDK_Home, GDK_End, GDK_Left, GDK_Right, GDK_Up, GDK_Down};
#endif
