#!/bin/sh

case "$1" in
	pub | x86)
		cp config.pub config
		;;
	*)
		echo "PC/X11 public release	: ./makeit.sh pub"
		echo "PC/X11 version		: ./makeit.sh x86"
		exit
		;;
esac

#make sure there's lib and bin directories in current directory
install -d lib
install -d bin
make clean;
make;

case "$1" in
     pub | x86 | pcfb ) rm -rf lib-x86 bin-x86
                  cp -af lib lib-x86
                  cp -af bin bin-x86
                 ;;
     * ) echo "makeit.sh: Warning: no architecture-specific directory created!"
esac

